:root {
	/*Style Colours*/
	--cilly-blue: #92b6db;
	--cilly-darkblue: #24496D;
	--cilly-darkblue-overlay: #24496D80;
	--cilly-accentblue: #496D92;
	--cilly-accentgray: #9292B6;
	--cilly-accentgray-overlay: #9292B680;
	--cilly-white: #EBEBFF;
	--cilly-jetblack: #151515;
	--cilly-jetblack-overlay: #15151580;
	--cilly-black: #002424;
	--cilly-royalpurple: #242449;
}

html {
	scroll-behavior: smooth;

	font-family: "Noto Sans Tagalog", sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 12px;
	color: var(--cilly-black);
}

/* TO DO: Finalize common website style */
/* TO DO: Move site-specific styling to their own .css files */

h1 {
	font-family: "Saira", sans-serif;
}

h2, h3, h4, h5, h6 {
	font-family: "Ubuntu", sans-serif;
}

body {
	min-height: 100vh;
	max-width: 100%;
	margin: 0;
	padding: 0;
	overflow-x: hidden;

	white-space: nowrap;
	background: white;
}

main {
	height: fit-content;
	max-width: 100%;
	
	background-color: transparent;
}

footer {
	position: relative;
    align-content: center;

	z-index: 100;

   	height: 8vh;
	padding-bottom: 2vh;

    background-color: var(--cilly-accentgray);

	font-family: 'Ubuntu', sans-serif;
	font-size: 18px;
    color: var(--cilly-white);
	text-align: center;
}

img {
	display: block;
}

button {
	border: 0px;
	padding: 20px;

	font-family: 'Nunito', sans-serif;
	font-size: 1rem;
	text-align: center;
	color: var(--cilly-white);
	border-radius: 15px;
	background-color: var(--cilly-darkblue);

	transition: 0.2s ease-out;
}

button:hover {
	cursor: pointer;

	background-color: var(--cilly-accentblue);
	box-shadow: inset 0 0 0 3px var(--cilly-darkblue);
}

button:active {
	cursor: pointer;

	background-image: linear-gradient(var(--cilly-darkblue-overlay), var(--cilly-darkblue-overlay))
}

a {
	font-weight: 400;
	color: var(--cilly-darkblue);
	text-decoration: none;

	transition: all 0.3s ease;
}

a:hover {
	cursor: pointer;

	color: var(--cilly-blue);
}

a:active {
	cursor: pointer;

	color: var(--cilly-accentblue);
}

/* #region FONTS */
/* Noto Sans Tagalog can only be used as-is */
.noto-sans-tagalog {
	font-family: "Noto Sans Tagalog", sans-serif;
	font-weight: 400;
	font-style: normal;
}

.nunito {
  font-family: "Nunito", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.saira {
	font-family: "Saira", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	font-variation-settings:
		"wdth" 100;
}

.source-code-pro {
	font-family: "Source Code Pro", monospace;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
}

.ubuntu {
	font-family: "Ubuntu", sans-serif;
	font-weight: 400;
	font-style: normal;
}

/* ONLY for Saira and Ubuntu */
.italic {
	font-style: italic;
}

.light {
	font-weight: 300;
}

.regular {
	font-weight: 400;
}

.medium {
	font-weight: 500;
}

/* ONLY for Saira and Source Code Pro */
.semibold {
	font-weight: 600;
}

.bold {
	font-weight: 700;
}

/* Below are ONLY for Saira */
.semicondensed {
	font-variation-settings:
		"wdth" 87.5;
}

.condensed {
	font-variation-settings:
		"wdth" 75.5;
}

.semiexpanded {
	font-variation-settings:
		"wdth" 112.5;
}
/* #endregion */

/* #region Custom Site-wide Classes */
.content {
	display: flex;
	flex-direction: column;
	align-items: flex-start;

	max-width: 100%;
}

.hidden {
	display: none !important;
}

.no-scroll {
	overflow: hidden !important;

	max-width: 100vw !important;
	max-height: 100vh !important;
}

.unselectable {
	-moz-user-select: -moz-none;
	-khtml-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.nowrap {
	white-space: nowrap;
}

.vivus-text {
    fill-opacity: 0;
    transition: fill-opacity 1s;
}

.vivus-text-after {
    fill-opacity: 1;
}

@keyframes fade {
	from { opacity: 0; }
	to { opacity: 1; }
}
/* #endregion */